# Ad account change / audit log

Returns the ad account change / audit log, one page at a time. Works with Meta Ads and Google Ads.

```http
GET https://api.pozy.ai/v1/ads/activity
```

- Area: Ads / Ad Accounts
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `adAccountId` (string, required)
- `since` (string (date))
- `until` (string (date))
- `objectId` (string)
- `limit` (integer)
- `after` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/activity?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f&limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/activity?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f&limit=50", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/activity",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "adAccountId": "666219aad7bab67ace411e4f",
        "limit": 50,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `adAccountId`, string
- `data`, array of object
- `paging`, object
  - `after`, string: Can be null

```json
{
  "adAccountId": "666219aad7bab67ace411e4f",
  "data": [
    {}
  ],
  "paging": {
    "after": "string"
  }
}
```
